Package org.apache.ignite.internal.processors.platform.client.cache

## Class ClientCacheReplaceIfEqualsRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientRequest
  - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheRequest
    - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheKeyRequest
      - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheKeyValueRequest
        - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheReplaceIfEqualsRequest

All Implemented Interfaces:
  `ClientListenerRequest`, `ClientTxAwareRequest`

    public class ClientCacheReplaceIfEqualsRequest
    extends ClientCacheKeyValueRequest

Cache replace request.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
`ClientCacheReplaceIfEqualsRequest​(BinaryRawReaderEx reader)` Ctor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected static <T> IgniteInternalFuture<ClientResponse>` `chainFuture​(IgniteFuture<T> fut, IgniteClosure<T,​ClientResponse> clo)` Chain cache operation future to return response when operation is completed.
`boolean` `isTransactional()` Gets a value indicating whether request was made under transaction.
`ClientResponse` `process0​(ClientConnectionContext ctx)`
`IgniteInternalFuture<ClientResponse>` `processAsync0​(ClientConnectionContext ctx)`
`int` `txId()` Gets transaction ID.

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.cache.ClientCacheKeyValueRequest

`val`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.cache.ClientCacheKeyRequest

`isAsync, key, process, processAsync`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.cache.ClientCacheRequest

`cache, cacheDescriptor, cacheDescriptor, cacheId, cachex, isKeepBinary, rawCache`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientRequest

`requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`beforeStartupRequest`

### Methods inherited from interface org.apache.ignite.internal.processors.platform.client.tx.ClientTxAwareRequest

`isTransactional, txId`

### Constructor Detail

#### ClientCacheReplaceIfEqualsRequest

    public ClientCacheReplaceIfEqualsRequest​(BinaryRawReaderEx reader)

Ctor.

Parameters:
  `reader` - Reader.

### Method Detail

#### process0

    public ClientResponse process0​(ClientConnectionContext ctx)

Specified by:
  `process0` in class `ClientCacheKeyRequest`

#### processAsync0

    public IgniteInternalFuture<ClientResponse> processAsync0​(ClientConnectionContext ctx)

Overrides:
  `processAsync0` in class `ClientCacheKeyRequest`

#### txId

    public int txId()

Gets transaction ID.

#### isTransactional

    public boolean isTransactional()

Gets a value indicating whether request was made under transaction.

Overrides:
  `isTransactional` in class `ClientCacheRequest`
Returns:
  Flag value.

#### chainFuture

    protected static <T> IgniteInternalFuture<ClientResponse> chainFuture​(IgniteFuture<T> fut,
                                                                          IgniteClosure<T,​ClientResponse> clo)

Chain cache operation future to return response when operation is completed.